<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="@dimen/_92sdp"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="@android:color/transparent">

    <View
        android:layout_width="match_parent"
        android:layout_height="2dp"
        android:layout_above="@id/ll"
        android:background="@drawable/shadow_up"/>

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/ll"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"

        android:layout_alignParentBottom="true"

        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="0dp"
        >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/bottom_nav_base_height"
            android:layout_marginHorizontal="20dp"
            android:orientation="horizontal"
            android:weightSum="3">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/patient_small"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:visibility="visible">

                    <ImageView
                        android:layout_width="@dimen/_25sdp"
                        android:layout_height="@dimen/_25sdp"

                        android:contentDescription="@string/my_patient"
                        android:src="@drawable/ic_user_outline" />

                    <TextView
                        android:id="@+id/my_patient"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:layout_marginTop="5sp"
                        android:fontFamily="@font/nunito_regular"
                        android:text="@string/my_patient"
                        android:textColor="@color/black"

                        android:textSize="@dimen/_11ssp"

                        android:maxLines="1"
                        android:singleLine="true"
                        android:ellipsize="end"

                        />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/dash_small"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <ImageView
                        android:layout_width="@dimen/_25sdp"
                        android:layout_height="@dimen/_25sdp"

                        android:contentDescription="@string/dashboard"
                        android:src="@drawable/ic_dash_outline"

                        app:tint="@color/black"

                        />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:layout_marginTop="5sp"
                        android:fontFamily="@font/nunito_regular"
                        android:text="@string/dashboard"
                        android:textColor="@color/black"

                        android:textSize="@dimen/_11ssp"

                        />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <RelativeLayout
                    android:id="@+id/notifications"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:layout_marginHorizontal="15dp"
                    >

                    <LinearLayout
                        android:id="@+id/chats_small"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:orientation="vertical"
                        android:visibility="visible">

                        <RelativeLayout
                            android:layout_width="@dimen/_35sdp"
                            android:layout_height="@dimen/_25sdp"
                            >

                            <ImageView
                                android:layout_width="@dimen/_25sdp"
                                android:layout_height="@dimen/_25sdp"

                                android:contentDescription="@string/chat"
                                android:src="@drawable/ic_chats_outline"

                                app:tint="@color/black"
                                android:layout_centerInParent="true"

                                />

                            <TextView
                                android:id="@+id/bottom_notification_count"
                                android:layout_width="@dimen/_15sdp"
                                android:layout_height="@dimen/_15sdp"

                                android:background="@drawable/round_corners"
                                android:backgroundTint="@android:color/holo_red_light"

                                android:visibility="gone"
                                android:layout_alignParentEnd="true"

                                tools:text="9"
                                android:fontFamily="@font/nunito_regular"
                                android:textColor="@color/white"
                                android:textSize="11sp"
                                android:gravity="center"

                                android:layout_marginStart="7dp"

                                android:maxLength="2"
                                android:singleLine="true"

                                />

                        </RelativeLayout>

                        <TextView
                            android:id="@+id/chat_with"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"

                            android:layout_marginTop="5sp"
                            android:fontFamily="@font/nunito_regular"
                            android:text="@string/chat"
                            tools:text="Chat with Suresh"
                            android:textColor="@color/black"

                            android:maxLines="1"
                            android:ellipsize="end"

                            android:textSize="@dimen/_11ssp"

                            />

                    </LinearLayout>

                </RelativeLayout>

            </LinearLayout>

        </LinearLayout>

    </com.google.android.material.card.MaterialCardView>

    <LinearLayout
        android:id="@+id/ll2"
        android:layout_width="match_parent"
        android:layout_height="@dimen/_60sdp"
        android:orientation="horizontal"

        android:layout_alignParentTop="true"

        android:layout_marginBottom="@dimen/_30sdp"
        android:layout_marginHorizontal="20dp"

        android:background="@android:color/transparent"
        
        android:translationZ="1dp"

        android:weightSum="3">

        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1">

            <com.google.android.material.floatingactionbutton.FloatingActionButton
                android:id="@+id/patient_big"
                android:visibility="gone"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:layout_centerInParent="true"

                android:contentDescription="@string/my_patient"

                app:backgroundTint="@color/cg_dash_bg"
                app:maxImageSize="@dimen/_25sdp"
                app:tint="@color/white"
                app:srcCompat="@drawable/ic_user_outline"

                />
            
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1">

            <com.google.android.material.floatingactionbutton.FloatingActionButton
                android:id="@+id/dadh_big"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:layout_centerInParent="true"
                android:contentDescription="@string/dashboard"

                app:backgroundTint="@color/cg_dash_bg"
                app:maxImageSize="@dimen/_25sdp"
                app:tint="@color/white"
                app:srcCompat="@drawable/ic_dash_outline"
                />

        </RelativeLayout>

        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1">

            <com.google.android.material.floatingactionbutton.FloatingActionButton
                android:id="@+id/chat_big"
                android:visibility="gone"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:layout_centerInParent="true"

                android:contentDescription="@string/chat"

                app:backgroundTint="@color/cg_dash_bg"
                app:maxImageSize="@dimen/_25sdp"
                app:tint="@color/white"
                app:srcCompat="@drawable/ic_chats_outline"

                />

        </RelativeLayout>

    </LinearLayout>

</RelativeLayout>